import { Description } from "./Description";
import { SeriesDescription } from "./SeriesDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class HighlightingInfoDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    get type(): string;
    constructor();
    private m;
    get startIndex(): number;
    set startIndex(a: number);
    private l;
    get endIndex(): number;
    set endIndex(a: number);
    private p;
    get state(): string;
    set state(a: string);
    private j;
    get progress(): number;
    set progress(a: number);
    private h;
    get isMarker(): boolean;
    set isMarker(a: boolean);
    private f;
    get series(): SeriesDescription;
    set series(a: SeriesDescription);
}
